Hammer CLI - Refactor #11452

Support rest-client 1.8
08/23/2015 02:22 PM - Anonymous

Status: Closed
Priority: Normal
Assignee:

Category: Hammer core

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: In Kanboard:

Pull request: https://github.com/theforeman/hammer-cl | Red Hat JIRA:
i/pull/180

Team Backlog:

Description

Also see https://github.com/Apipie/apipie-bindings/issues/27

I'm unsure if a direct dependency to rest-client is really needed, as apipie-bindings is doing all the work.

Related issues:
Related to Hammer CLI - Refactor #11280: Revert Ruby 1.8 specifics Closed 08/04/2015

Associated revisions

Revision dcd08154 - 08/25/2015 12:09 PM - Michael Moll

refs #11452 - bump required apipie-bindings version

Revision 3649cf1e - 08/25/2015 12:11 PM - Michael Moll

refs #11452 - delete direct dependencies

Revision 60a9f79f - 08/26/2015 06:33 AM - Martin Bacovsky
Merge pull request #180 from mmoll/apipie_0014

refs #11452 - bump required apipie-bindings version

Revision 83a9d407 - 08/26/2015 06:34 AM - Martin Bacovsky
Merge pull request #193 from mmoll/apipie_0014

refs #11452 - delete direct dependencies

History

#1 - 08/23/2015 02:22 PM - Anonymous
- Related to Refactor #11280: Revert Ruby 1.8 specifics added

#2 - 08/24/2015 11:15 AM - Tomas Strachota

| think that we can drop the line from gemspec now. It's there from historical reasons when we needed to add upper limit to pin rest-client down to a
ruby 1.8 supported version without releasing new apipie-bindings.

#3 - 08/24/2015 05:24 PM - Anonymous

As apipie-params specifies '< 1.8.0', but 1.7.x already has verify_ssl on by default this would trigger unexpected behaviour from the user's point of
view, so let's wait for apipie-params to get everything sorted out and remove the direct dependency then.

#4 - 08/25/2015 12:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/hammer-cli/pull/180 added
https://github.com/Apipie/apipie-bindings/issues/27

- Pull request deleted ()

#5 - 08/25/2015 12:17 PM - Anonymous

- Assignee set to Anonymous

https://github.com/theforeman/hammer-cli/pull/180 and https:/github.com/theforeman/hammer-cli-foreman/pull/193 together should solve this issue
(and after merging these, ideally a new gem release would be done).

#6 - 08/28/2015 07:53 PM - Anonymous
- Status changed from Ready For Testing to Closed

This is done in current master branches.
